Neišspęsi: Jūsų serveris veikia PHP versiją, bet WordPress 5.1.6 3.2.1 5.2.4 reikia bent.

Pranešimas ne viskas gerai žinoma, kad įrengti ar daryti patobulintiĮ naujesnę versiją 3.2Būtina, kad būti įdiegta naujesnę versiją 5.2.4.

Jei serveris yra įdiegti PHP vyresni nei 5.2.4 versiją, įdiegti versiją "WordPress 3.2.1Bus rodomas klaida / žinutė: "Jūsų serveris veikia PHP versija WordPress 5.1.6 3.2.1 Bet reikia bent 5.2.4".
Problema gali būti išspręsta labai paprastai, atnaujinant PHP, bet prieš tai keletas dalykų, turėtų būti atsižvelgta. Pirma, atnaujinti PHP yra įmanoma dėl Shared Hosting. Taigi jūs galite padaryti atnaujinimą reikia turėti administratoriaus prieigą prie serverio (Serveris arba VPS). Be antra, prieš atnaujinimą turi būti fiksuojamos ir žinoti, kad nauja versija PHP nepasiduoti klaidos kitų svetainių talpinami tame serveryje.

Dėl operacinė sistema yra naudojama interneto serverių (Agreart ir / WHM) Ar parodyti jums, kaip tai padaryti atnaujinti į PHP ant CentOS 5.2.10.x 5 32 bitų.

Atnaujinkite PHP ant CentOS 5.1.x 5.2.x į 5.x 32 bitų

1. Patikrinti, kurie paketai / moduliai yra įdiegta PHP (pvz. php-mcrypt) papildomai prie standartinio paketo. Jei jie egzistuoja, bus ištrinta arba actuzlizate.

Tikrinimas įdiegtus paketus:

rpm -qa | grep php
old_php_version

2. Norėdami pridėti papildomas saugyklas Reikalinga patobulintiS PHP versija.

nano /etc/yum.repos.d/CentOS-Testing.repo

Naujas failas (Centos-Testing.repo) Ar pridėkite šias eilutes (kopijuoti / įklijuoti):

[c5-testing] 
name=CentOS-5 Testing 
baseurl=http://dev.centos.org/centos/$releasever/testing/$basearch/ 
enabled=1 
gpgcheck=1 
gpgkey=http://dev.centos.org/centos/RPM-GPG-KEY-CentOS-testing 
includepkgs=php*

Ctrl + X išsaugoti failą CentOS-Testing.repo.

3. Atnaujinti PHP per yum:

yum update

4. Restart / httpd :

service httpd restart

Po restart httpd patikrinkite įdiegtą versiją ir paketus:

new_php_version

Patikrinkite klaidų modulių / paketus:

php -v

- PHP Atnaujinti / CentOS 32 bitų (i386).

Įkūrėjas ir redaktorius Stealth Settings, nuo 2006 m. „Linux“ operacinių sistemų (ypač „CentOS“) patirtis, Mac OS X, Windows XP> Windows 10 ir „WordPress“ (CMS).

Palikite komentarą